org.apache.cassandra.transport

## Class Message.ExceptionHandler

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.cassandra.transport.Message.ExceptionHandler

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

Enclosing class:
  Message

    @ChannelHandler.Sharable
    public static final class Message.ExceptionHandler
    extends io.netty.channel.ChannelInboundHandlerAdapter

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`ExceptionHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `exceptionCaught(io.netty.channel.ChannelHandlerContext ctx, java.lang.Throwable cause)`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelInactive, channelRead, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`handlerAdded, handlerRemoved`

### Constructor Detail

#### ExceptionHandler

    public ExceptionHandler()

### Method Detail

#### exceptionCaught

    public void exceptionCaught(io.netty.channel.ChannelHandlerContext ctx,
                                java.lang.Throwable cause)

Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelHandler`
Specified by:
  `exceptionCaught` in interface `io.netty.channel.ChannelInboundHandler`
Overrides:
  `exceptionCaught` in class `io.netty.channel.ChannelInboundHandlerAdapter`